org.apache.flume.source.kafka

## Class KafkaSource.Subscriber<T>

- java.lang.Object
- - org.apache.flume.source.kafka.KafkaSource.Subscriber<T>

- Enclosing class:
    KafkaSource

      public abstract class KafkaSource.Subscriber<T>
      extends Object

  This class is a helper to subscribe for topics by using different strategies

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSource.Subscriber()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get()`
    `abstract void` | `subscribe(org.apache.kafka.clients.consumer.KafkaConsumer<?,?> consumer, org.apache.flume.source.kafka.SourceRebalanceListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaSource.Subscriber

          public KafkaSource.Subscriber()

  - ### Method Detail

    - #### subscribe

          public abstract void subscribe(org.apache.kafka.clients.consumer.KafkaConsumer<?,?> consumer,
                       org.apache.flume.source.kafka.SourceRebalanceListener listener)

    - #### get

          public T get()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.